Re: [code] [textadept] Request for a Mac Tester

From: Mitchell <m.att.foicica.com>
Date: Fri, 20 Apr 2018 18:39:16 -0400 (EDT)

Hi Pedro,

On Fri, 20 Apr 2018, Pedro Andres Aranda Gutierrez wrote:

> Hi Mitchell
>
> the nightly doesn't work. And here's the transcript
>
> paag.att.paag:~/..._2018-04-20.osx$ cd Textadept.app/Contents/MacOS/
> paag.att.paag:~/.../Contents/MacOS$ ls
> textadept textadept_osx textadeptjit-curses
> textadept-curses textadeptjit
> paag.att.paag:~/.../Contents/MacOS$ ./textadept_osx
> dyld: Library not loaded: /usr/local/opt/glib/lib/libglib-2.0.0.dylib
> Referenced from: /usr/local/lib/libharfbuzz.0.dylib
> Reason: Incompatible library version: libharfbuzz.0.dylib requires
> version 5601.0.0 or later, but libglib-2.0.0.dylib provides version 4003.0.0
> Abort trap: 6
>
> I used textadept_osx, because textadept (plain) has problems referencing
> the libraries:

Thank you for testing. You were correct to run `./textadept_osx`, not `./textadept`. Sorry for overlooking that.

Please try something for me. Open *Contents/MacOS/textadept_osx* for editing and on line 7 you'll see an export for `DYLD_LIBRARY_PATH`. Please change that line to:

   export DYLD_LIBRARY_PATH="$bundle_res/lib"

Then re-run `./textadept_osx` and report any error output.

Thank you very much.

Cheers,
Mitchell

-- 
You are subscribed to code.att.foicica.com.
To change subscription settings, send an e-mail to code+help.att.foicica.com.
To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
Received on Fri 20 Apr 2018 - 18:39:16 EDT

This archive was generated by hypermail 2.2.0 : Sat 21 Apr 2018 - 06:42:14 EDT